GDCMXML(1)

NAME
gdcmxml - provides a tool to convert a DICOM file into a XML infoset and vice-versa.

SYNOPSIS

    gdcmxml [options] file-in[DICOM or XML] file-out[XML or DICOM]

DESCRIPTION

The gdcmxml command line program converts a DICOM file (DataSet) into an XML file (according to the Native DICOM Model) or vice-versa. For those familiar with DCMTK, this provides binary capabilities (i.e. functionality of both dcm2xml and xml2dcm).

The XML infoset which is from the DICOM file gdcmXMLPrintet Class. This is in strict compliance with the Native DICOM Model as given in Supp 118.

PARAMETERS

    file-in   DICOM or XML input filename ( cannot be absent)

    file-out  output filename (can be absent)

OPTIONS

      -i --input      DICOM filename
      -o --output     DICOM filename

OPTIONS FOR DICOM TO XML:

      -B --loadBulkData   Loads bulk data into a binary file named "UUID" (by default UUID are written).

OPTIONS FOR XML TO DICOM:

      -B --loadBulkData   Loads bulk data from a binary file named as the "UUID" in XML file (by default UUID are written).
      -T --TransferSyntax Loads transfer syntax from file (default is LittleEndianImplicit)

GENERAL OPTIONS

      -h   --help
             print this help text and exit

      -v   --version
             print version information and exit

      -V   --verbose
             verbose mode (warning+error).

      -W   --warning
             warning mode, print warning information

      -E   --error
             error mode, print error information

      -D   --debug
             debug mode, print debug information

SEE ALSO

gdcmdump(1), gdcmconv(1)

AUTHOR

Mathieu Malaterre
    Main developer

COPYRIGHT
Copyright © 2006, 2011 Mathieu Malaterre